Subject: Linux next: boot on Wandboard broken by gic related change

From: Vincent <[email-masked]>
Date: Tue, 02 Dec 2014 00:59:10 +0100

Hi,

FYI, I noticed that Linux next would not boot anymore on Wandboard i.MX6
quad. This, since next-20141127.

After bisecting for a while, `git bisect run' pointed at this very commit:

  9a1091ef0017c40ab63e7fc0326b2dcfd4dde3a4
  irqchip: gic: Support hierarchy irq domain.

Indeed, reverting this commit on top of Linux next-20141201 repairs the
boot.

I am afraid I cannot debug this, but I would gladly help test patches :)

Best regard,

V.